Sorry, an error has occured. Please contact the Customer Support at http://answers.themler.io

yves
10 Posts
yves posted this 03 February 2022

Hi there,
I have a problem trying to edit a fairly new theme ...
When going back to my theme to edit it (after a backup), I get a message "Sorry, an error has occured. Please contact the Customer Support at http://answers.themler.io" ...
Well ... here I am ;-).
I'm using Joomla! 4.0.6 and Akeeba Backup 9 ... that and the themler package for Joomla 4 is the only thing installed (I was just beginning on the site).

Hi there, I have a problem trying to edit a fairly new theme ... When going back to my theme to edit it (after a backup), I get a message "Sorry, an error has occured. Please contact the Customer Support at http://answers.themler.io" ... Well ... here I am ;-). I'm using Joomla! 4.0.6 and Akeeba Backup 9 ... that and the themler package for Joomla 4 is the only thing installed (I was just beginning on the site).
Vote to pay developers attention to this features or issue.
9 Comments
Order By: Standard | Newest
Support Team
Support Team posted this 03 February 2022

Hello,

There is a separate Themler theme for Joomla 4. Currently it is in Beta. Please refer to this article for details: https://answers.themler.io/questions/212738/joomla-4-support-is-available-in-beta

There are a few known issues in it. However a new version with the fixes is expected soon.

Sincerely,
Nettie

Hello, There is a separate Themler theme for Joomla 4. Currently it is in Beta. Please refer to this article for details: https://answers.themler.io/questions/212738/joomla-4-support-is-available-in-beta There are a few known issues in it. However a new version with the fixes is expected soon. Sincerely, Nettie
yves
10 Posts
yves posted this 03 February 2022

Yes ... I know about the themler theme for Joomla 4 ... and that is what i was using ... worked up until I went back after the backup ...
This was the second time I got the same "error" ... reinstalled Joomla 4, Akeeba Backup and the themler theme because I could not get the themler theme to work after the error ... after a while ... the same error appeared ...
I have used J4 and Themler on another site with success ... up till now (now I'm afraid to edit the theme of the other site because it might become broken).

Yes ... I know about the themler theme for Joomla 4 ... and that is what i was using ... worked up until I went back after the backup ... This was the second time I got the same "error" ... reinstalled Joomla 4, Akeeba Backup and the themler theme because I could not get the themler theme to work after the error ... after a while ... the same error appeared ... I have used J4 and Themler on another site with success ... up till now (now I'm afraid to edit the theme of the other site because it might become broken).
yves
10 Posts
Is Solution
yves posted this 04 February 2022

I think I found the answer myself ...
The problem got solved when I changed some of the global site settings:
"Use URL-rewrinting" with consequent renaming of the htaccess.txt file to .htaccess ... that solved that problem ...
Got a 404 after that but I solved that but that in turn was solved by refreshing the content ...

I think I found the answer myself ... The problem got solved when I changed some of the global site settings: "Use URL-rewrinting" with consequent renaming of the htaccess.txt file to .htaccess ... that solved that problem ... Got a 404 after that but I solved that but that in turn was solved by refreshing the content ...
Support Team
Support Team posted this 04 February 2022

Thanks for sharing the solution. I have forwarded additional information to our developers.

Sincerely,
Nettie

Thanks for sharing the solution. I have forwarded additional information to our developers. Sincerely, Nettie
yves
10 Posts
yves posted this 13 April 2022

Hi there ...
I'm back ... with the same error ...
This time, I was updating an older site from J!3.10.x to J!4.1.2.
I had removed all old components (including themler themes) and the update went well ...
installed some new components (newer versions of the components I had to uninstall) and wanted to remake the theme in the new J!4 themler ...
Tried the setting that worked earlier and some variations of that setting ... still does not work ...
Is there something else i can try to solve this?

Hi there ... I'm back ... with the same error ... This time, I was updating an older site from J!3.10.x to J!4.1.2. I had removed all old components (including themler themes) and the update went well ... installed some new components (newer versions of the components I had to uninstall) and wanted to remake the theme in the new J!4 themler ... Tried the setting that worked earlier and some variations of that setting ... still does not work ... Is there something else i can try to solve this?
Support Team
Support Team posted this 14 April 2022

Hello,

Did you install the blank Themler Beta theme for Joomla 4 and get the error right away?

Sincerely,
Nettie

Hello, Did you install the blank Themler Beta theme for Joomla 4 and get the error right away? Sincerely, Nettie
yves
10 Posts
yves posted this 14 April 2022

yes, but I did install it on an upgraded version of Joomla 4 (coming from Joomla 3.x ... the latest version of both Joomla's).
The themler theme was completely removed (of course) as were the (presumed) incompatible components and packages ... the upgrade went flawlessly ... then I started to install new versions of the components and the new theme (blank) in order to start the remake of the site-theme.
This was all done on a WAMP-installation on my windows machine.

yes, but I did install it on an upgraded version of Joomla 4 (coming from Joomla 3.x ... the latest version of both Joomla's). The themler theme was completely removed (of course) as were the (presumed) incompatible components and packages ... the upgrade went flawlessly ... then I started to install new versions of the components and the new theme (blank) in order to start the remake of the site-theme. This was all done on a WAMP-installation on my windows machine.
Support Team
Support Team posted this 15 April 2022

Hello,

Old themes are all for Joomla 3 and cannot be imported or converted for Joomla 4 automatically. The themes are completely different as if they were for different CMS's. That is why for Joomla 4 a separate theme should be downloaded and not just Joomla 3 theme with Themler update.
So upgrading Joomla 3 theme to the latest Themler version doesn't unfortunately make it compatible with Joomla 4. The theme should be created from the default theme provided at the link above.

Here are possible ways to make creating themes easier (if they are made to re-create old themes):
- organize controls in Sections and use Export as Zip option in the Section tab, then import them in a new theme using Import as Zip
- there are Export / Import options available in the Posts tab to transfer Posts layout and styling

I should warn there are several serious issues with Joomla 4 Beta theme. In general it works, but to be honest, I recommend to consider temporarily using Joomla 3 and Joomla 3 Themler theme until there is an update for Joomla 4 theme.

Sincerely,
Nettie

Hello, Old themes are all for Joomla 3 and cannot be imported or converted for Joomla 4 automatically. The themes are completely different as if they were for different CMS's. That is why for Joomla 4 a separate theme should be downloaded and not just Joomla 3 theme with Themler update. So upgrading Joomla 3 theme to the latest Themler version doesn't unfortunately make it compatible with Joomla 4. The theme should be created from the default theme provided at the link above. Here are possible ways to make creating themes easier (if they are made to re-create old themes): - organize controls in Sections and use Export as Zip option in the Section tab, then import them in a new theme using Import as Zip - there are Export / Import options available in the Posts tab to transfer Posts layout and styling I should warn there are several serious issues with Joomla 4 Beta theme. In general it works, but to be honest, I recommend to consider temporarily using Joomla 3 and Joomla 3 Themler theme until there is an update for Joomla 4 theme. Sincerely, Nettie
yves
10 Posts
yves posted this 15 April 2022

I would love to keep using Themler themes for Joomla 3 ... however in November the sites using this theme will no longer work ... since I see no solution in the near future, I have begun to remake the templates for my clients ... I want their sites to work after 28-11-2022 AND I need time to do that ... as I said ... I'm remaking the templates in the J4 beta theme ... I'm NOT importing them or anything ... I'm making them again from scratch ... just making them to look the same ...

I would love to keep using Themler themes for Joomla 3 ... however in November the sites using this theme will no longer work ... since I see no solution in the near future, I have begun to remake the templates for my clients ... I want their sites to work after 28-11-2022 AND I need time to do that ... as I said ... I'm remaking the templates in the J4 beta theme ... I'm NOT importing them or anything ... I'm making them again from scratch ... just making them to look the same ...
You must log in or register to leave comments